uudoc(1)

NAME
uudoc - Compute and check message digests.

SYNOPSIS
uudoc [-b|--binary] [-c|--check] [--tag] [-t|--text] [-q|--quiet] [-s|--status] [--strict] [--ignore-missing] [-w|--warn] [-z|--zero] [-h|--help] [-V|--version] [file]

DESCRIPTION
Compute and check message digests.

OPTIONS

-b, --binary
    read in binary mode

-c, --check
    read hashsums from the FILEs and check them

--tag
    create a BSD-style checksum

-t, --text
    read in text mode (default)

-q, --quiet
    don't print OK for each successfully verified file

-s, --status
    don't output anything, status code shows success

--strict
    exit non-zero for improperly formatted checksum lines

--ignore-missing
    don't fail or report status for missing files

-w, --warn
    warn about improperly formatted checksum lines

-z, --zero
    end each output line with NUL, not newline

-h, --help
    Print help

-V, --version
    Print version

[file]

EXTRA
Examples Calculate the SHA224 checksum for one or more files: sha224sum {{path/to/file1 path/to/file2 ...}} Calculate and save the list of SHA224 checksums to a file: sha224sum {{path/to/file1 path/to/file2 ...}} > {{path/to/file.sha224}} Calculate a SHA224 checksum from `stdin`: {{command}} | sha224sum Read a file of SHA224 checksums and filenames and verify all files have matching checksums: sha224sum {{[-c|--check]}} {{path/to/file.sha224}} Only show a message for missing files or when verification fails: sha224sum {{[-c|--check]}} --quiet {{path/to/file.sha224}} Only show a message when verification fails, ignoring missing files: sha224sum --ignore-missing {{[-c|--check]}} --quiet {{path/to/file.sha224}} Check a known SHA224 checksum of a file: echo {{known_sha224_checksum_of_the_file}} {{path/to/file}} | sha224sum {{[-c|--check]}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0